JsVariable
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface JsVariable

All Known Subinterfaces:
  JsObjectProperty

    public interface JsVariable

An object that represents a variable in a browser JavaScript VM call frame.

Nested Class Summary
`static interface` | `JsVariable.SetValueCallback` A callback to use while setting a variable value.

Method Summary
`JsObjectProperty` | `asObjectProperty()` Returns object property data if variable is an object property and its descriptor is available.
`java.lang.String` | `getFullyQualifiedName()`
`java.lang.String` | `getName()`
`JsValue` | `getValue()` Returns the value of this variable.
`boolean` | `isMutable()`
`boolean` | `isReadable()`
`void` | `setValue(java.lang.String newValue, JsVariable.SetValueCallback callback)` Sets a new value for this variable.

Method Detail

### isReadable

    boolean isReadable()

  Returns:
    whether it is possible to read this variable

### getValue

    JsValue getValue()
                     throws java.lang.UnsupportedOperationException

  Returns the value of this variable.

  Returns:
    a [probably compound] JsValue corresponding to this variable. `null` if there was an error reading the value data or the property has accessor descriptor
  Throws:
    `java.lang.UnsupportedOperationException` - if this variable is not readable
  See Also:
    `isReadable()`

### getName

    java.lang.String getName()

  Returns:
    the name of this variable

### isMutable

    boolean isMutable()

  Returns:
    whether it is possible to modify this variable

### setValue

    void setValue(java.lang.String newValue,
                  JsVariable.SetValueCallback callback)
                  throws java.lang.UnsupportedOperationException

  Sets a new value for this variable.

  Parameters:
    `newValue` - to set
    `callback` - to report the operation result to
  Throws:
    `java.lang.UnsupportedOperationException` - if this variable is not mutable
  See Also:
    `isMutable()`

### getFullyQualifiedName

    java.lang.String getFullyQualifiedName()

  Returns:
    the fully qualified name of this variable relative to the context of its call frame

### asObjectProperty

    JsObjectProperty asObjectProperty()

  Returns object property data if variable is an object property and its descriptor is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD